Bug 1710460 - glibc: Fix crash during wide stream buffer flush
Summary: glibc: Fix crash during wide stream buffer flush
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 29
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1710478
TreeView+ depends on / blocked
 
Reported: 2019-05-15 14:56 UTC by Florian Weimer
Modified: 2019-06-22 02:56 UTC (History)
9 users (show)

Fixed In Version: glibc-2.29-13.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1710478 (view as bug list)
Environment:
Last Closed: 2019-05-28 19:03:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 20568 None None None 2019-07-23 10:09:18 UTC

Description Florian Weimer 2019-05-15 14:56:52 UTC
We need to incorporate this upstream fix:

commit 32ff397533715988c19cbf3675dcbd727ec13e18
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue May 14 17:14:59 2019 +0200

    Fix crash in _IO_wfile_sync (bug 20568)
    
    When computing the length of the converted part of the stdio buffer, use
    the number of consumed wide characters, not the (negative) distance to the
    end of the wide buffer.

Comment 1 Ben Cotton 2019-05-28 19:03:38 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Fedora Update System 2019-06-06 16:14:04 UTC
FEDORA-2019-62a3a5c89d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-62a3a5c89d

Comment 3 Fedora Update System 2019-06-06 18:16:41 UTC
FEDORA-2019-cd0e4f3119 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd0e4f3119

Comment 4 Fedora Update System 2019-06-07 01:07:33 UTC
glibc-2.29-15.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-62a3a5c89d

Comment 5 Fedora Update System 2019-06-07 05:08:36 UTC
glibc-2.28-33.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd0e4f3119

Comment 6 Fedora Update System 2019-06-10 00:53:06 UTC
glibc-2.29-15.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-06-22 02:56:14 UTC
glibc-2.28-33.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.